#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 25. Graphical Environment Libraries

- Prev

  libgedit-amtk-5.8.0

- Next

  libhandy-1.8.3

- Up
- Home

# libgedit-gtksourceview-299.0.4

## Introduction to libgedit-gtksourceview

The libgedit-gtksourceview package provides a library that extends GtkTextView. This library adds support for syntax highlighting, undo/redo, file loading and saving, search and replace, a completion system, printing, displaying line numbers, and other features typical of a source code editor.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://gedit-technology.net/tarballs/libgedit-gtksourceview/libgedit-gtksourceview-299.0.4.tar.xz

- Download MD5 sum: 3f96094715a897567e3df7f72ec6c9f0

- Download size: 632 KB

- Estimated disk space required: 22 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### libgedit-gtksourceview Dependencies

#### Required

GTK+-3.24.41 and libxml2-2.12.5

#### Optional

GTK-Doc-1.33.2

## Installation of libgedit-gtksourceview

Install libgedit-gtksourceview by running the following commands:

    mkdir build-libgedit &&
    cd    build-libgedit &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -Dgtk_doc=false     \
                .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgtk_doc=false`: Disables building the API documentation. Remove if you have GTK-Doc-1.33.2 installed and wish to build the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libgedit-gtksourceview-300.so
Installed Directories: /usr/include/libgedit-gtksourceview-300 and /usr/share/libgedit-gtksourceview-300

### Short Descriptions

`libgedit-gtksourceview-300.so` | contains convenience functions for text editing.

- Prev

  libgedit-amtk-5.8.0

- Next

  libhandy-1.8.3

- Up
- Home